<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionMapMarkerPlayerArrow Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d59/a06394.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ExpansionMapMarkerPlayerArrow Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionMapMarkerPlayerArrow:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/d59/a06394.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a299caa76c5496f979ff0b172f66e232d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d59/a06394.html#a299caa76c5496f979ff0b172f66e232d">ExpansionMapMarkerPlayerArrow</a> (Widget parent, MapWidget mapWidget, bool autoInit=true)</td></tr>
<tr class="separator:a299caa76c5496f979ff0b172f66e232d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93953e2a3e03adaa2949e6fe7a01955d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d59/a06394.html#a93953e2a3e03adaa2949e6fe7a01955d">Update</a> (float pDt)</td></tr>
<tr class="separator:a93953e2a3e03adaa2949e6fe7a01955d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf0aace3703535c18b577e901215095a"><td class="memItemLeft" align="right" valign="top">private int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d59/a06394.html#acf0aace3703535c18b577e901215095a">GetMapDirection</a> ()</td></tr>
<tr class="separator:acf0aace3703535c18b577e901215095a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f8e6864dbd2dec0203872b2dbec60cf"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d59/a06394.html#a6f8e6864dbd2dec0203872b2dbec60cf">IsEditButton</a> (Widget w)</td></tr>
<tr class="separator:a6f8e6864dbd2dec0203872b2dbec60cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6288420e922bf50a4e66d644ca3273ef"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d59/a06394.html#a6288420e922bf50a4e66d644ca3273ef">CanDrag</a> ()</td></tr>
<tr class="separator:a6288420e922bf50a4e66d644ca3273ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54e8de4b1f50391ebc1e6c3c24be34c3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d59/a06394.html#a54e8de4b1f50391ebc1e6c3c24be34c3">ShowRoot</a> (bool show)</td></tr>
<tr class="separator:a54e8de4b1f50391ebc1e6c3c24be34c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../df/daa/a02135.html">ExpansionMapMarkerPlayerArrow.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../df/daa/a02135_source.html#l00013">13</a> of file <a class="el" href="../../df/daa/a02135_source.html">expansionmapmarkerplayerarrow.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a299caa76c5496f979ff0b172f66e232d" name="a299caa76c5496f979ff0b172f66e232d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a299caa76c5496f979ff0b172f66e232d">&#9670;&#160;</a></span>ExpansionMapMarkerPlayerArrow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMapMarkerPlayerArrow::ExpansionMapMarkerPlayerArrow </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MapWidget&#160;</td>
          <td class="paramname"><em>mapWidget</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>autoInit</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Do NOT show by default, otherwise it'll pop up on the load screen in the top left corner at the end of the loading progress</p>

<p class="definition">Definition at line <a class="el" href="../../df/daa/a02135_source.html#l00015">15</a> of file <a class="el" href="../../df/daa/a02135_source.html">expansionmapmarkerplayerarrow.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a6288420e922bf50a4e66d644ca3273ef" name="a6288420e922bf50a4e66d644ca3273ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6288420e922bf50a4e66d644ca3273ef">&#9670;&#160;</a></span>CanDrag()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMapMarkerPlayerArrow::CanDrag </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/daa/a02135_source.html#l00054">54</a> of file <a class="el" href="../../df/daa/a02135_source.html">expansionmapmarkerplayerarrow.c</a>.</p>

</div>
</div>
<a id="acf0aace3703535c18b577e901215095a" name="acf0aace3703535c18b577e901215095a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf0aace3703535c18b577e901215095a">&#9670;&#160;</a></span>GetMapDirection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private int ExpansionMapMarkerPlayerArrow::GetMapDirection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/daa/a02135_source.html#l00038">38</a> of file <a class="el" href="../../df/daa/a02135_source.html">expansionmapmarkerplayerarrow.c</a>.</p>

</div>
</div>
<a id="a6f8e6864dbd2dec0203872b2dbec60cf" name="a6f8e6864dbd2dec0203872b2dbec60cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f8e6864dbd2dec0203872b2dbec60cf">&#9670;&#160;</a></span>IsEditButton()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMapMarkerPlayerArrow::IsEditButton </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/daa/a02135_source.html#l00046">46</a> of file <a class="el" href="../../df/daa/a02135_source.html">expansionmapmarkerplayerarrow.c</a>.</p>

</div>
</div>
<a id="a54e8de4b1f50391ebc1e6c3c24be34c3" name="a54e8de4b1f50391ebc1e6c3c24be34c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54e8de4b1f50391ebc1e6c3c24be34c3">&#9670;&#160;</a></span>ShowRoot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMapMarkerPlayerArrow::ShowRoot </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>show</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/daa/a02135_source.html#l00062">62</a> of file <a class="el" href="../../df/daa/a02135_source.html">expansionmapmarkerplayerarrow.c</a>.</p>

</div>
</div>
<a id="a93953e2a3e03adaa2949e6fe7a01955d" name="a93953e2a3e03adaa2949e6fe7a01955d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93953e2a3e03adaa2949e6fe7a01955d">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionMapMarkerPlayerArrow::Update </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>pDt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/daa/a02135_source.html#l00026">26</a> of file <a class="el" href="../../df/daa/a02135_source.html">expansionmapmarkerplayerarrow.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Navigation/Scripts/5_mission/dayzexpansion_navigation/<a class="el" href="../../df/daa/a02135_source.html">expansionmapmarkerplayerarrow.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d59/a06394.html">ExpansionMapMarkerPlayerArrow</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
